<mat-dialog-content class="dialog-content">
  <div class="dialog-header">
    <h2>{{ team.name }}</h2>
  </div>
  <div class="dialog-body">
    <p><strong>{{ 'DESCRIPTION' | translate }}:</strong> {{ team.description }}</p>
    <p><strong>{{ 'TECHNOLOGY' | translate }}:</strong> {{ team.technologie }}</p>
    <img mat-card-image [src]="team.teamImages[0] ? getImageUrl(team.teamImages[0]) : defaultImageUrl" alt="{{ 'TEAM_PHOTO' | translate }}" class="dialog-image">
  </div>
</mat-dialog-content>
<mat-dialog-actions class="dialog-actions">
  <div class="action-icons">
    <span *ngIf="roles.includes('ROLE_ADMIN')">
      <button mat-icon-button color="primary" (click)="openEditForm(team)">
        <mat-icon>edit</mat-icon>
      </button>
      <button mat-icon-button color="warn" (click)="deleteTeam(team.id)">
        <mat-icon>delete</mat-icon>
      </button>
      <button mat-icon-button color="accent" [routerLink]="['/employees', team.id]" (click)="onNoClick()">
        <mat-icon>visibility</mat-icon>
      </button>
    </span>
  </div>
  <button mat-button (click)="onNoClick()" class="close-button">{{ 'CLOSE' | translate }}</button>
</mat-dialog-actions>
